> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 汇率查询

> 本接口适用于查询法币与加密货币之间的实时汇率，支持多种币对的汇率查询，仅限Gate Pay商户调用。

## 概述

本页说明 `POST /payment/open/institution/v1/pay/currency/exchange/rate/query` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/rate-exchange-openapi.json POST /payment/open/institution/v1/pay/currency/exchange/rate/query
openapi: 3.1.0
info:
  title: GatePay 机构汇率查询 API
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/currency/exchange/rate/query:
    post:
      summary: 汇率查询
      description: 本接口适用于查询法币与加密货币之间的实时汇率，支持多种币对的汇率查询，仅限Gate Pay商户调用。
      operationId: postCurrencyExchangeRateQuery
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExchangeRateQueryRequest'
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ExchangeRateQuery'
              examples:
                success:
                  summary: 成功响应
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      sourceCurrency: EUR
                      targetCurrency: USDT
                      rate: '0.021'
                      updateTime: 12324324324323
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    ExchangeRateQueryRequest:
      type: object
      properties:
        sourceCurrency:
          type: string
          description: 基准货币,支持币种:EUR/GBP/USD/CNY/JPY/AUD/CAD/CHF
          example: EUR
        targetCurrency:
          type: string
          description: 目标货币,支持币种:USDT
          example: USDT
      required:
        - sourceCurrency
        - targetCurrency
    ApiResponse_ExchangeRateQuery:
      type: object
      properties:
        status:
          type: string
          description: 响应状态
          example: SUCCESS
        code:
          type: string
          description: 响应码
          example: '000000'
        errorMessage:
          type: string
          description: 错误信息
          example: ''
        data:
          $ref: '#/components/schemas/ExchangeRateQueryData'
      required:
        - status
        - code
    ExchangeRateQueryData:
      type: object
      properties:
        sourceCurrency:
          type: string
          description: 基准货币
        targetCurrency:
          type: string
          description: 目标货币
        rate:
          type: string
          description: 基准货币/目标货币的汇率
        updateTime:
          type: integer
          format: int64
          description: 报价时间

````